import { SdkContext } from "@azure-tools/typespec-client-generator-core";
import { Operation, Type } from "@typespec/compiler";
import { NetEmitterOptions } from "../options.js";
import { InputType } from "../type/input-type.js";
import { LiteralTypeContext } from "../type/literal-type-context.js";
import { SdkTypeMap } from "../type/sdk-type-map.js";
/**
 * If type is an anonymous model, tries to find a named model that has the same
 * set of properties when non-schema properties are excluded.
 */
export declare function getEffectiveSchemaType(context: SdkContext, type: Type): Type;
export declare function getDefaultValue(type: Type): any;
export declare function getInputType(context: SdkContext<NetEmitterOptions>, type: Type, typeCache: SdkTypeMap, operation?: Operation, literalTypeContext?: LiteralTypeContext): InputType;
export declare function navigateModels(context: SdkContext<NetEmitterOptions>, typeCache: SdkTypeMap): void;
//# sourceMappingURL=model.d.ts.map